# Copyright (c) 2015  Dave Love, University of Liverpool
# Licence as for the package itself

%global commit bcb7ea9839f7d3e223d03663f373796ca87d207f

Name:		ravel
Version:	1.0.0
Release:	1%{?dist}
Summary:	MPI trace visualization tool 
License:	LGPLv2
URL:		https://github.com/scalability-llnl/ravel
Source0:	https://github.com/scalability-llnl/ravel/archive/%commit.tar.gz

BuildRequires:	cmake otf2-devel muster-openmpi-devel qt5-qtbase-devel
BuildRequires:	openmpi-devel

%global desc\
Ravel is an MPI trace visualization tool. Ravel is unique in that it\
shows not only physical timelines, but also logical ones structured to\
better capture the intended organization of communication operations.\
Ravel reads Open Trace Format versions 1 and 2, calculates logical\
structure, and presents the results using multiple coordinated views.\
\
In logical time, all operations are colored via some metric.  The\
default metric is lateness which measures the difference in exit time\
of an operation compared to its peers at the same logical timestep.

%description
%desc


%prep
%setup -q -n %name-%commit


%build
%_openmpi_load
%cmake -DMuster_INCLUDE_DIRS=$MPI_INCLUDE/muster \
       -DMuster_LIBRARIES=$MPI_LIB/libmuster.so \
       -DOTF_INCLUDE_DIRS=$MPI_INCLUDE/vampirtrace/open-trace-format -DOTF_LIBRARIES=$MPI_LIB/libopen-trace-format.so
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%_bindir/Ravel $RPM_BUILD_ROOT%_bindir/ravel


%files
%doc README.md LICENSE
%_bindir/ravel


%changelog
* Wed Apr  1 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0.0-1
- Initial packaging

